Package it.ernytech.tdlib

## Class TdApi.GetWebPageInstantView

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetWebPageInstantView

Enclosing class:
  TdApi

    public static class TdApi.GetWebPageInstantView
    extends TdApi.Function

Returns an instant view version of a web page if available. Returns a 404 error if the web page has no instant view page.

Returns `WebPageInstantView`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `forceFull` If true, the full instant view for the web page will be returned.
`java.lang.String` `url` The web page URL.

### Constructor Summary

Constructors
`GetWebPageInstantView()` Default constructor.
`GetWebPageInstantView​(java.lang.String url, boolean forceFull)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### url

    public java.lang.String url

The web page URL.

#### forceFull

    public boolean forceFull

If true, the full instant view for the web page will be returned.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetWebPageInstantView

    public GetWebPageInstantView()

Default constructor.

#### GetWebPageInstantView

    public GetWebPageInstantView​(java.lang.String url,
                                 boolean forceFull)

Constructor for initialization of all fields.

Parameters:
  `url` - The web page URL.
  `forceFull` - If true, the full instant view for the web page will be returned.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR